<?php
    /*
     *      Osclass – software for creating and publishing online classified
     *                           advertising platforms
     *
     *                        Copyright (C) 2014 OSCLASS
     *
     *       This program is free software: you can redistribute it and/or
     *     modify it under the terms of the GNU Affero General Public License
     *     as published by the Free Software Foundation, either version 3 of
     *            the License, or (at your option) any later version.
     *
     *     This program is distributed in the hope that it will be useful, but
     *         WITHOUT ANY WARRANTY; without even the implied warranty of
     *        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     *             GNU Affero General Public License for more details.
     *
     *      You should have received a copy of the GNU Affero General Public
     * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
     */

/**

DEFINES

*/
	define('LETGO_THEME_VERSION', '1.0.0');
    if( (string)osc_get_preference('keyword_placeholder', 'letgo')=="" ) {
        Params::setParam('keyword_placeholder', __('ie. PHP Programmer', 'letgo') ) ;
		
    }
    // used for date/dateinterval custom fields
    osc_enqueue_script('php-date');
    if(!OC_ADMIN) {
        osc_enqueue_style('fine-uploader-css', osc_assets_url('js/fineuploader/fineuploader.css'));
        osc_enqueue_style('letgo-fine-uploader-css', osc_current_web_theme_url('assets/css/ajax-uploader.css'));
    }
    osc_enqueue_script('jquery-fineuploader');
/**
** DEFAULT VALUES
**/
	if( !osc_get_preference('welcome_message', 'letgo') ) {
		osc_set_preference('welcome_message', '', 'letgo');
    }
	if( !osc_get_preference('sub_cat_limit', 'letgo') ) {
		osc_set_preference('sub_cat_limit', 1, 'letgo');
    }
	if( !osc_get_preference('popular_regions_limit', 'letgo') ) {
		osc_set_preference('popular_regions_limit', 10, 'letgo');
    }	
	if( !osc_get_preference('popular_cities_limit', 'letgo') ) {
		osc_set_preference('popular_cities_limit', 10, 'letgo');
    }	
	if( !osc_get_preference('popular_searches_limit', 'letgo') ) {
		osc_set_preference('popular_searches_limit', 10, 'letgo');
    }
	
	if( !osc_get_preference('locations_input_as', 'letgo') ) {
		osc_set_preference('locations_input_as', 'text', 'letgo');
    }	
	if( !osc_get_preference('premium_listings_shown_home', 'letgo') ) {
		osc_set_preference('premium_listings_shown_home', 3, 'letgo');
	}
	if( !osc_get_preference('premium_listings_shown', 'letgo') ) {
		osc_set_preference('premium_listings_shown', 3, 'letgo');
	}
	if( !osc_get_preference('title_minimum_length', 'letgo') ) {
		osc_set_preference('title_minimum_length', 1, 'letgo');
	}	
	if( !osc_get_preference('description_minimum_length', 'letgo') ) {
		osc_set_preference('description_minimum_length', 3, 'letgo');
	}
	if( osc_get_preference('first_load_cat_icons', 'letgo_cat_icons') == "" ){
		osc_set_preference('cat-icons-1', 'SHOPPING-CART', 'letgo_cat_icons');
		osc_set_preference('cat-icons-2', 'CAR', 'letgo_cat_icons');
		osc_set_preference('cat-icons-3', 'BULLHORN', 'letgo_cat_icons');
		osc_set_preference('cat-icons-4', 'HOME', 'letgo_cat_icons');
		osc_set_preference('cat-icons-5', 'WRENCH', 'letgo_cat_icons');
		osc_set_preference('cat-icons-6', 'USERS', 'letgo_cat_icons');
		osc_set_preference('cat-icons-7', 'HEART', 'letgo_cat_icons');
		osc_set_preference('cat-icons-8', 'SUITCASE', 'letgo_cat_icons');
		
		osc_set_preference('first_load_cat_icons', 'loaded', 'letgo_cat_icons');
	}
	if( !osc_get_preference('theme_color_mode', 'letgo') ) {
		osc_set_preference('theme_color_mode', 'green', 'letgo');
	}
	if( !osc_get_preference('theme_color', 'letgo') ) {
		osc_set_preference('theme_color', '#77c04b', 'letgo');
	}
	if( !osc_get_preference('google_fonts', 'letgo') ) {
		osc_set_preference('google_fonts', 'Open Sans', 'letgo');
	}
	if( !osc_get_preference('facebook-url', 'letgo') ) {
		osc_set_preference('facebook-url', 'https://www.facebook.com/', 'letgo');
	}
	if( !osc_get_preference('facebook-width', 'letgo') ) {
		osc_set_preference('facebook-width', 340, 'letgo');
	}
	if( !osc_get_preference('facebook-height', 'letgo') ) {
		osc_set_preference('facebook-height', 400, 'letgo');
	}
	osc_reset_preferences();
	
    if( !function_exists('letgo_install') ) {
        function letgo_install() {
            osc_set_preference('keyword_placeholder', Params::getParam('keyword_placeholder'), 'letgo');
            osc_set_preference('version', LETGO_THEME_VERSION, 'letgo');
			osc_set_preference('show_banner', '1', 'letgo');
			osc_set_preference('footer_link', '1', 'letgo');
			osc_set_preference('show_popular', '1', 'letgo');
			osc_set_preference('show_popular_regions', '1', 'letgo');
			osc_set_preference('show_popular_cities', '1', 'letgo');
			osc_set_preference('show_search_country', '1', 'letgo');
			osc_set_preference('show_popular_searches', '1', 'letgo');
            osc_set_preference('defaultShowAs@all', 'gallery', 'letgo');
            osc_set_preference('defaultShowAs@search', 'gallery');
            osc_set_preference('welcome_message', '', 'letgo');
			osc_set_preference('sub_cat_limit', 1, 'letgo');
			osc_set_preference('google_fonts', 'Open Sans', 'letgo');
            osc_reset_preferences();
        }
    }
    // update options
    if( !function_exists('letgo_update') ) {
        function letgo_update() {
            //osc_set_preference('version', LETGO_THEME_VERSION, 'letgo');
            osc_delete_preference('default_logo', 'letgo');

            $logo_prefence = osc_get_preference('logo', 'letgo');
            $logo_name     = 'logo';
            $temp_name     = WebThemes::newInstance()->getCurrentThemePath() . 'assets/img/logo.png';
            if( file_exists( $temp_name ) && !$logo_prefence) {

                $img = ImageResizer::fromFile($temp_name);
                $ext = $img->getExt();
                $logo_name .= '.'.$ext;
                $img->saveToFile(osc_uploads_path().$logo_name);
                @unlink($temp_name);
                osc_set_preference('logo', $logo_name, 'letgo');
            }
            osc_reset_preferences();
			
        }
    }
			
	
    if(!function_exists('check_install_letgo')) {
        function check_install_letgo() {
            $current_version = osc_get_preference('version', 'letgo');
            //check if current version is installed or need an update<
            if( !$current_version ) {
                letgo_install();
            } else if($current_version < LETGO_THEME_VERSION){
                letgo_update();
            }
        }
    }


    if(!function_exists('letgo_add_body_class_construct')) {
        function letgo_add_body_class_construct($classes){
            $letgoBodyClass = letgoBodyClass::newInstance();
            $classes = array_merge($classes, $letgoBodyClass->get());
            return $classes;
        }
    }
    if(!function_exists('letgo_body_class')) {
        function letgo_body_class($echo = true){
            osc_add_filter('letgo_bodyClass','letgo_add_body_class_construct');
            $classes = osc_apply_filter('letgo_bodyClass', array());
            if($echo && count($classes)){
                echo 'class="'.implode(' ',$classes).'"';
            } else {
                return $classes;
            }
        }
    }
    if(!function_exists('letgo_add_body_class')) {
        function letgo_add_body_class($class){
            $letgoBodyClass = letgoBodyClass::newInstance();
            $letgoBodyClass->add($class);
        }
    }
    if(!function_exists('letgo_nofollow_construct')) {

        function letgo_nofollow_construct() {
            echo '<meta name="robots" content="noindex, nofollow, noarchive" />' . PHP_EOL;
            echo '<meta name="googlebot" content="noindex, nofollow, noarchive" />' . PHP_EOL;

        }
    }
    if( !function_exists('letgo_follow_construct') ) {

        function letgo_follow_construct() {
            echo '<meta name="robots" content="index, follow" />' . PHP_EOL;
            echo '<meta name="googlebot" content="index, follow" />' . PHP_EOL;

        }
    }
    if( !function_exists('logo_header') ) {
        function logo_header() {
             $logo = osc_get_preference('logo','letgo');
             $html = '<a href="'.osc_base_url().'"><img border="0" alt="' . osc_page_title() . '" src="' . letgo_logo_url() . '"></a>';
             if( $logo!='' && file_exists( osc_uploads_path() . $logo ) ) {
                return $html;
             } else {
                return '<img src="'. osc_current_web_theme_url('assets/img/logo.png').'">';
            }
        }
    }
	if( !function_exists('homepage_image') ) {
        function homepage_image() {
             $logo = osc_get_preference('homeimage','letgo');
             $html = '<img border="0" src="' . letgo_homeimage_url() . '">';
             if( $logo!='' && file_exists( osc_uploads_path() . $logo ) ) {
                return $html;
             } else {
                return '<img src="'. osc_current_web_theme_url('assets/img/hero-background-image-02.jpg').'">';
            }
        }
    }
    if( !function_exists('letgo_favicon_url') ) {
        function letgo_favicon_url() {
            $logo = osc_get_preference('favicon','letgo');
            if( $logo ) {
                return osc_uploads_url($logo);
            }
			else
			{
				return osc_current_web_theme_url('images/favicon.png'); 
			}
        }
    } 
    if( !function_exists('letgo_logo_url') ) {
        function letgo_logo_url() {
            $logo = osc_get_preference('logo','letgo');
            if( $logo ) {
                return osc_uploads_url($logo);
            }
            return false;
        }
    }
	
	if( !function_exists('letgo_homeimage_url') ) {
        function letgo_homeimage_url() {
            $logo = osc_get_preference('homeimage','letgo');
            if( $logo ) {
                return osc_uploads_url($logo);
            }
            return false;
        }
    }
    if( !function_exists('letgo_draw_item') ) {
        function letgo_draw_item($class = false,$admin = false, $premium = false) {
            $filename = 'loop-single';
            if($premium){
                $filename .='-premium';
            }
            require WebThemes::newInstance()->getCurrentThemePath().$filename.'.php';
        }
    }
    if( !function_exists('letgo_show_as') ){
        function letgo_show_as(){

            $p_sShowAs    = Params::getParam('sShowAs');
            $aValidShowAsValues = array('list', 'gallery');
            if (!in_array($p_sShowAs, $aValidShowAsValues)) {
                $p_sShowAs = letgo_default_show_as();
            }

            return $p_sShowAs;
        }
    }
    if( !function_exists('letgo_default_show_as') ){
        function letgo_default_show_as(){
            return getPreference('defaultShowAs@all','letgo');
        }
    }
    if( !function_exists('letgo_draw_categories_list') ) {
        function letgo_draw_categories_list(){ ?>
<?php if(!osc_is_home_page()){ echo '<div class="resp-wrapper">'; } ?>


<div class="container">
<h2 align="center"><?php _e('All categories', 'letgo');?></h2>

<ul class="categories-list clearfix">
<?php

	$total_categories   = osc_count_categories();
	$col1_max_cat       = ceil($total_categories/1);
	osc_goto_first_category();
	$catcount	=	0;
	while ( osc_has_categories() ) {
?>
  <li>
    
     <a href="javascript:void(0)" data-toggle="modal" data-target="#<?php echo osc_esc_html(osc_category_id()) ; ?>"><i class="fa fa-<?php echo osc_esc_html(letgo_category_icon( osc_category_id() )); ?> category-icon fa-lg"></i></a>
      <?php
			$_slug      = osc_category_slug();
			$_url       = osc_search_category_url();
			$_name      = osc_category_name();
			$_total_items = osc_category_total_items();
			if ( osc_count_subcategories() > 0 ) { ?>
      <?php } ?>
      <?php if($_total_items > 0) { ?>
      <h3><a class="ellipsis <?php echo osc_esc_html(osc_category_slug()) ; ?>" href="<?php echo $_url; ?>"><?php echo $_name ; ?></a></h3>
      <?php } else { ?>
      <h3><a class="ellipsis <?php echo osc_esc_html(osc_category_slug()) ; ?>" href="<?php echo $_url; ?>"><?php echo $_name ; ?></a></h3>
      <?php } ?>
    
    
    <?php if ( osc_count_subcategories() > 0 ) { $m=1; ?>
    <div class="sub-categories ellipsis">
      <?php while ( osc_has_subcategories() ) { if( $m<=(osc_get_preference('sub_cat_limit', 'letgo'))){?>
      
        <?php if( osc_category_total_items() > 0 ) { ?>
        <a class=" <?php echo osc_esc_html(osc_category_slug()) ; ?>" href="<?php echo $_url; ?>"><?php _e('Listings', 'letgo'); ?></a> <span><?php echo $_total_items ; ?></span>
        <?php } else { ?>
        <a class=" <?php echo osc_esc_html(osc_category_slug()) ; ?>" href="<?php echo $_url; ?>"><?php _e('Listings', 'letgo'); ?></a> <span><?php echo $_total_items ; ?></span>
        <?php } ?>
      
      <?php } $m++; } if($m>(osc_get_preference('sub_cat_limit', 'letgo'))+1) {?>
      
      <?php } ?>
    </div>
    <?php } ?>
    
  </li>
  <?php
		$catcount++;
		if($catcount%4==0)
		{
			echo '</ul><ul class="categories-list clearfix">';
		}
    }
 ?>
</ul>

 </div>
<?php
        }
    }
    if( !function_exists('letgo_search_number') ) {
        function letgo_search_number() {
            $search_from = ((osc_search_page() * osc_default_results_per_page_at_search()) + 1);
            $search_to   = ((osc_search_page() + 1) * osc_default_results_per_page_at_search());
            if( $search_to > osc_search_total_items() ) {
                $search_to = osc_search_total_items();
            }

            return array(
                'from' => $search_from,
                'to'   => $search_to,
                'of'   => osc_search_total_items()
            );
        }
    }
    if( !function_exists('letgo_item_title') ) {
        function letgo_item_title() {
            $title = osc_item_title();
            foreach( osc_get_locales() as $locale ) {
                if( Session::newInstance()->_getForm('title') != "" ) {
                    $title_ = Session::newInstance()->_getForm('title');
                    if( @$title_[$locale['pk_c_code']] != "" ){
                        $title = $title_[$locale['pk_c_code']];
                    }
                }
            }
            return $title;
        }
    }
    if( !function_exists('letgo_item_description') ) {
        function letgo_item_description() {
            $description = osc_item_description();
            foreach( osc_get_locales() as $locale ) {
                if( Session::newInstance()->_getForm('description') != "" ) {
                    $description_ = Session::newInstance()->_getForm('description');
                    if( @$description_[$locale['pk_c_code']] != "" ){
                        $description = $description_[$locale['pk_c_code']];
                    }
                }
            }
            return $description;
        }
    }
    if( !function_exists('related_listings') ) {
        function related_listings() {
            View::newInstance()->_exportVariableToView('items', array());

            $mSearch = new Search();
            $mSearch->addCategory(osc_item_category_id());
            $mSearch->addRegion(osc_item_region());
            $mSearch->addItemConditions(sprintf("%st_item.pk_i_id < %s ", DB_TABLE_PREFIX, osc_item_id()));
            $mSearch->limit('0', '5');

            $aItems      = $mSearch->doSearch();
            $iTotalItems = count($aItems);
            if( $iTotalItems == 5 ) {
                View::newInstance()->_exportVariableToView('items', $aItems);
                return $iTotalItems;
            }
            unset($mSearch);

            $mSearch = new Search();
            $mSearch->addCategory(osc_item_category_id());
            $mSearch->addItemConditions(sprintf("%st_item.pk_i_id != %s ", DB_TABLE_PREFIX, osc_item_id()));
            $mSearch->limit('0', '5');

            $aItems = $mSearch->doSearch();
            $iTotalItems = count($aItems);
            if( $iTotalItems > 0 ) {
                View::newInstance()->_exportVariableToView('items', $aItems);
                return $iTotalItems;
            }
            unset($mSearch);

            return 0;
        }
    }
    if( !function_exists('osc_is_contact_page') ) {
        function osc_is_contact_page() {
            if( Rewrite::newInstance()->get_location() === 'contact' ) {
                return true;
            }

            return false;
        }
    }
    if( !function_exists('get_breadcrumb_lang') ) {
        function get_breadcrumb_lang() {
            $lang = array();
            $lang['item_add']               = __('Publish a listing', 'letgo');
            $lang['item_edit']              = __('Edit your listing', 'letgo');
            $lang['item_send_friend']       = __('Send to a friend', 'letgo');
            $lang['item_contact']           = __('Contact publisher', 'letgo');
            $lang['search']                 = __('Search results', 'letgo');
            $lang['search_pattern']         = __('Search results: %s', 'letgo');
            $lang['user_dashboard']         = __('Dashboard', 'letgo');
            $lang['user_dashboard_profile'] = __("%s's profile", 'letgo');
            $lang['user_account']           = __('Account', 'letgo');
            $lang['user_items']             = __('Listings', 'letgo');
            $lang['user_alerts']            = __('Alerts', 'letgo');
            $lang['user_profile']           = __('Update account', 'letgo');
            $lang['user_change_email']      = __('Change email', 'letgo');
            $lang['user_change_username']   = __('Change username', 'letgo');
            $lang['user_change_password']   = __('Change password', 'letgo');
            $lang['login']                  = __('Login', 'letgo');
            $lang['login_recover']          = __('Recover password', 'letgo');
            $lang['login_forgot']           = __('Change password', 'letgo');
            $lang['register']               = __('Create a new account', 'letgo');
            $lang['contact']                = __('Contact', 'letgo');
            return $lang;
        }
    }
	
	//breadcrumb
	function breadcrumbs($separator = '') {
        $text       = '';
        $location   = Rewrite::newInstance()->get_location();
        $section    = Rewrite::newInstance()->get_section();
        $separator  = ' ' . trim($separator) . ' ';
        $page_title = '<li class="breadcrumb-item"><a href="' . osc_base_url() .  '">' . osc_page_title() . '</a></li>';

        switch ($location) {
            case ('item'):
                switch ($section) {
                    case 'item_add':    break;
                    default :           $aCategories = Category::newInstance()->toRootTree( (string) osc_item_category_id() );
                                        $category    = '';
                                        if(count($aCategories) == 0) {
                                            break;
                                        }

                                        $deep = 1;
                                        foreach ($aCategories as $aCategory) {
                                            $list[] = '<li class="breadcrumb-item"><a href="' . breadcrumbs_category_url($aCategory['pk_i_id']) . '">' . $aCategory['s_name']. '</a></li>';
                                            $deep++;
                                        }
                                        $category = implode($separator, $list) . $separator;
                                        $category = preg_replace('|' . trim($separator) . '\s*$|', '', $category);
                                        break;
                }

                switch ($section) {
                    case 'item_add':    $text = $page_title . $separator . '<li class="breadcrumb-item active">' . __('Publish an item', 'letgo'); break;
                    case 'item_edit':   $text = $page_title . $separator . $category . $separator . '<li class="breadcrumb-item active"><a href="' . osc_item_url() . '">' . osc_item_title() . '</a></li>' . $separator .  '<li class="breadcrumb-item active">' . __('Edit your item', 'letgo') . '</li>'; break;
                    case 'send_friend': $text = $page_title . $separator . $category . $separator . '<li class="breadcrumb-item active"> <a href="' . osc_item_url() . '">' . osc_item_title() . '</a></li>' . $separator .  '<li class="breadcrumb-item active">' . __('Send to a friend', 'letgo') . '</li>'; break;
                    case 'contact':     $text = $page_title . $separator . $category . $separator . '<a href="' . osc_item_url() . '"><li class="breadcrumb-item active">' . osc_item_title() . '</a></li>' . $separator .  '<li class="breadcrumb-item active">' . __('Contact seller', 'letgo') . '</li>'; break;
                    default:            $text = $page_title . $separator . $category . $separator . '<li class="breadcrumb-item active">' . osc_item_title() . '</li>'; break;
                }
            break;
            case('page'):
                $text = $page_title . $separator . '<li class="breadcrumb-item active">' . osc_static_page_title() . '</li>';
            break;
            case('search'):
                $region     = osc_search_region();
                $city       = osc_search_city();
                $pattern    = osc_search_pattern();
                $category   = osc_search_category_id();
                $category   = ((count($category) == 1) ? $category[0] : '');

                $b_show_all = ($pattern == '' && $category == '' && $region == '' && $city == '');
                $b_category = ($category != '');
                $b_pattern  = ($pattern != '');
                $b_region   = ($region != '');
                $b_city     = ($city != '');
                $b_location = ($b_region || $b_city);

                if($b_show_all) {
                    $text = $page_title . $separator . '<li class="breadcrumb-item active">' . __('Search', 'letgo') . '</li>' ;
                    break; 
                }

                // init
                $result = $page_title . $separator;

                if($b_category) {
                    $list        = array();
                    $aCategories = Category::newInstance()->toRootTree($category);
                    if(count($aCategories) > 0) {
                        $deep = 1;
                        foreach ($aCategories as $single) {
                            $list[] = '<li class="breadcrumb-item active"><a href="' . breadcrumbs_category_url($single['pk_i_id']) . '">' . $single['s_name']. '</a></li>';
                            $deep++;
                        }
                        // remove last link
                        if( !$b_pattern && !$b_location ) {
                            $list[count($list) - 1] = preg_replace('|<a href.*?>(.*?)</a>|', '$01', $list[count($list) - 1]);
                        }
                        $result .= implode($separator, $list) . $separator;
                    }
                }

                if( $b_location ) {
                    $list   = array();
                    $params = array();
                    if($b_category) $params['sCategory'] = $category;

                    if($b_city) {
                        $aCity = City::newInstance()->findByName($city);
                        if( count($aCity) == 0 ) {
                            $params['sCity'] = $city;
                            $list[] = '<li class="breadcrumb-item active"><a href="' . osc_search_url($params) . '">' . $city . '</a></li>';
                        } else {
                            $aRegion = Region::newInstance()->findByPrimaryKey($aCity['fk_i_region_id']);

                            $params['sRegion'] = $aRegion['s_name'];
                            $list[] = '<li class="breadcrumb-item active"><a href="' . osc_search_url($params) . '">' . $aRegion['s_name'] . '</a></li>';

                            $params['sCity'] = $aCity['s_name'];
                            $list[] = '<li class="breadcrumb-item active"><a href="' . osc_search_url($params) . '">' . $aCity['s_name'] . '</a></li>';
                        }

                        if( !$b_pattern ) {
                            $list[count($list) - 1] = preg_replace('|<a href.*?>(.*?)</a>|', '$01', $list[count($list) - 1]);
                        }
                        $result .= implode($separator, $list) . $separator;
                    } else if( $b_region ) {
                        $params['sRegion'] = $region;
                        $list[]  = '<li class="breadcrumb-item active"><a href="' . osc_search_url($params) . '">' . $region . '</a></li>';

                        if( !$b_pattern ) {
                            $list[count($list) - 1] = preg_replace('|<a href.*?>(.*?)</a>|', '$01', $list[count($list) - 1]);
                        }
                        $result .= implode($separator, $list) . $separator;
                    }
                }

                if($b_pattern) {
                    $result .= '<li class="breadcrumb-item active">' . __('Search Results', 'letgo') . ': ' . $pattern  . '</li>'. $separator;
                }

                // remove last separator
                $result = preg_replace('|' . trim($separator) . '\s*$|', '', $result);
                $text   = $result;
            break;
            case('login'):
                switch ($section) {
                    case('recover'): $text = $page_title . $separator . '<li class="breadcrumb-item active">' . __('Recover your password', 'letgo') . '</li>';
                    default:         $text = $page_title . $separator . '<li class="breadcrumb-item active">' . __('Login', 'letgo') . '</li>';
                }
            break;
            case('register'):
                $text = $page_title . $separator . '<li class="breadcrumb-item active">' . __('Create a new account', 'letgo') . '</li>';
            break;
            case('user'):
			case('pub_profile'):       $text = $page_title . $separator . '<li class="breadcrumb-item active">' . __("Public Profile", 'letgo') . '</li>'; break;
                $user_dashboard = '<li class="breadcrumb-item"><a href="' . osc_user_profile_url() . '">' . __('My account', 'letgo') . '</a></li>';
                switch ($section) {
                    case('dashboard'):       $text = $page_title . $separator . $user_dashboard . $separator . '<li class="breadcrumb-item active">' . __('Dashboard', 'letgo') . '</li>'; break;
                    case('items'):           $text = $page_title . $separator . $user_dashboard . $separator . '<li class="breadcrumb-item active">' . __('Manage my items', 'letgo') . '</li>'; break;
                    case('alerts'):          $text = $page_title . $separator . $user_dashboard . $separator . '<li class="breadcrumb-item active">' . __('Manage my alerts', 'letgo') . '</li>'; break;
                    case('profile'):         $text = $page_title . $separator . $user_dashboard . $separator . '<li class="breadcrumb-item active">' . __('Update my profile', 'letgo') . '</li>'; break;
                    case('change_email'):    $text = $page_title . $separator . $user_dashboard . $separator . '<li class="breadcrumb-item active">' . __('Change my email', 'letgo') . '</li>'; break;
					case('change_username'):    $text = $page_title . $separator . $user_dashboard . $separator . '<li class="breadcrumb-item active">' . __('Change username', 'letgo') . '</li>'; break;
                    case('change_password'): $text = $page_title . $separator . $user_dashboard . $separator . '<li class="breadcrumb-item active">' . __('Change my password', 'letgo') . '</li>'; break;
                    case('forgot'):          $text = $page_title . $separator . $user_dashboard . $separator . '<li class="breadcrumb-item active">' . __('Recover my password', 'letgo') . '</li>'; break;
                }
            break;
            case('contact'):
                $text = $page_title . $separator . '<li class="breadcrumb-item active">' . __('Contact', 'letgo') . '</li>';
            break;
            default:
            break;
        }

        echo $text;

        return true;
    }

    function breadcrumbs_category_url($category_id) {
        $path = '' ;
        if ( osc_rewrite_enabled() ) {
            if ($category_id != '') {
                $category = Category::newInstance()->hierarchy($category_id) ;
                $sanitized_category = "" ;
                for ($i = count($category); $i > 0; $i--) {
                    $sanitized_category .= $category[$i - 1]['s_slug'] . '/' ;
                }
                $path = osc_base_url() . $sanitized_category ;
            }
        } else {
            $path = sprintf( osc_base_url(true) . '?page=search&sCategory=%d', $category_id ) ;
        }
        return rtrim($path, "/");
    }
	//end breadcrumb

    if(!function_exists('user_dashboard_redirect')) {
        function user_dashboard_redirect() {
            $page   = Params::getParam('page');
            $action = Params::getParam('action');
            if($page=='user' && $action=='dashboard') {
                if(ob_get_length()>0) {
                    ob_end_flush();
                }
                header("Location: ".osc_user_list_items_url(), TRUE,301);
            }
        }
        osc_add_hook('init', 'user_dashboard_redirect');
    }

    if( !function_exists('get_user_menu') ) {
        function get_user_menu() {
            $options   = array();
            $options[] = array(
                'name' => __('Public Profile', 'letgo'),
                 'url' => osc_user_public_profile_url(),
               'class' => 'opt_publicprofile'
            );
            $options[] = array(
                'name'  => __('Listings', 'letgo'),
                'url'   => osc_user_list_items_url(),
                'class' => 'opt_items'
            );
            $options[] = array(
                'name' => __('Alerts', 'letgo'),
                'url' => osc_user_alerts_url(),
                'class' => 'opt_alerts'
            );
            $options[] = array(
                'name'  => __('Account', 'letgo'),
                'url'   => osc_user_profile_url(),
                'class' => 'opt_account'
            );
            $options[] = array(
                'name'  => __('Change email', 'letgo'),
                'url'   => osc_change_user_email_url(),
                'class' => 'opt_change_email'
            );
            $options[] = array(
                'name'  => __('Change username', 'letgo'),
                'url'   => osc_change_user_username_url(),
                'class' => 'opt_change_username'
            );
            $options[] = array(
                'name'  => __('Change password', 'letgo'),
                'url'   => osc_change_user_password_url(),
                'class' => 'opt_change_password'
            );

            return $options;
        }
    }
	
	
	if( !function_exists('get_user_menu2') ) {
        function get_user_menu2() {
            $options   = array();
            $options[] = array(
                'name' => ' ' . __('Public Profile', 'letgo'), '',
                 'url' => osc_user_public_profile_url(),
               'class' => ''
            );
			$options[] = array(
                'name'  => ' ' . __('Dashboard', 'letgo'), '',
                'url'   => osc_user_profile_url(),
                'class' => 'nav-link icon'
            );
            $options[] = array(
                'name'  => ' ' . __('Listings', 'letgo'), '',
                'url'   => osc_user_list_items_url(),
                'class' => 'nav-link icon'
            );
            $options[] = array(
                'name' => ' ' . __('Alerts', 'letgo'), '',
                'url' => osc_user_alerts_url(),
                'class' => 'nav-link icon'
            );
           
            $options[] = array(
                'name'  => ' ' . __('Change email', 'letgo'), '',
                'url'   => osc_change_user_email_url(),
                'class' => 'nav-link icon'
            );
            $options[] = array(
                'name'  => ' ' . __('Change username', 'letgo'), '',
                'url'   => osc_change_user_username_url(),
                'class' => 'nav-link icon'
            );
            $options[] = array(
                'name'  => ' ' . __('Change password', 'letgo'), '',
                'url'   => osc_change_user_password_url(),
                'class' => 'nav-link icon'
            );
			$options[] = array(
                'name'  => ' ' . __('Logout', 'letgo'), '',
                'url'   => osc_user_logout_url(),
                'class' => 'nav-link icon'
            );

            return $options;
        }
    }
	
	
    if( !function_exists('user_info_js') ) {
        function user_info_js() {
            $location = Rewrite::newInstance()->get_location();
            $section  = Rewrite::newInstance()->get_section();

            if( $location === 'user' && in_array($section, array('dashboard', 'profile', 'alerts', 'change_email', 'change_username',  'change_password', 'items')) ) {
                $user = User::newInstance()->findByPrimaryKey( Session::newInstance()->_get('userId') );
                View::newInstance()->_exportVariableToView('user', $user);
                ?>

<?php }
        }
        osc_add_hook('header', 'user_info_js');
    }
	
	function letgo_add_google_fonts(){
	echo "";
	echo "";
	}	
    function theme_letgo_actions_admin() {
        if( Params::getParam('file') == 'oc-content/themes/letgo/admin/settings.php' ) {
            if( Params::getParam('donation') == 'successful' ) {
                osc_set_preference('donation', '1', 'letgo');
                osc_reset_preferences();
            }
        }
        switch( Params::getParam('action_specific') ) {
            case('settings'):
			    $footerLink  = Params::getParam('footer_link');
				osc_set_preference('footer_link', ($footerLink ? '1' : '0'), 'letgo');
                osc_set_preference('welcome_message', Params::getParam('welcome_message'), 'letgo');
                osc_set_preference('defaultShowAs@all', Params::getParam('defaultShowAs@all'), 'letgo');
                osc_set_preference('defaultShowAs@search', Params::getParam('defaultShowAs@all'));
				osc_set_preference('contact-text',       trim(Params::getParam('contact-text', false, false, false)),                'letgo');
				osc_set_preference('youtube-top',         trim(Params::getParam('youtube-top', false, false, false)),                  'letgo');
				osc_set_preference('skype-top',         trim(Params::getParam('skype-top', false, false, false)),                  'letgo');
				osc_set_preference('email-top',         trim(Params::getParam('email-top', false, false, false)),                  'letgo');
				osc_set_preference('facebook-top',         trim(Params::getParam('facebook-top', false, false, false)),                  'letgo');
				osc_set_preference('twitter-top',         trim(Params::getParam('twitter-top', false, false, false)),                  'letgo');
				osc_set_preference('google-plus-top',         trim(Params::getParam('google-plus-top', false, false, false)),                  'letgo');
				osc_set_preference('help-text',       trim(Params::getParam('help-text', false, false, false)),                'letgo');
                osc_add_flash_ok_message(__('Theme settings updated correctly', 'letgo'), 'admin');
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/letgo/admin/settings.php'));
            break;
			case('templates_home'):
                osc_set_preference('show_banner', ((Params::getParam('show_banner'))? '1' : '0'), 'letgo');
                osc_set_preference('keyword_placeholder', Params::getParam('keyword_placeholder'), 'letgo');
				osc_set_preference('show_search_country', ((Params::getParam('show_search_country'))? '1' : '0'), 'letgo');
				osc_set_preference('premium_listings_shown_home', Params::getParam('premium_listings_shown_home'), 'letgo');
				osc_set_preference('sub_cat_limit', Params::getParam('sub_cat_limit'), 'letgo');
                
                osc_set_preference('homepage-block1', trim(Params::getParam('homepage-block1', false, false, false)), 'letgo');
				osc_set_preference('homepage-block1l', trim(Params::getParam('homepage-block1l', false, false, false)), 'letgo');
				osc_set_preference('homepage-block2',         trim(Params::getParam('homepage-block2', false, false, false)),                  'letgo');
				osc_set_preference('homepage-block2l',         trim(Params::getParam('homepage-block2l', false, false, false)),                  'letgo');
				osc_set_preference('homepage-block3',         trim(Params::getParam('homepage-block3', false, false, false)),                  'letgo');
				osc_set_preference('homepage-block3l',         trim(Params::getParam('homepage-block3l', false, false, false)),                  'letgo');
				osc_set_preference('homepage-block4',         trim(Params::getParam('homepage-block4', false, false, false)),                  'letgo');
				osc_set_preference('homepage-block5',         trim(Params::getParam('homepage-block5', false, false, false)),                  'letgo');
				osc_set_preference('homepage-block6',         trim(Params::getParam('homepage-block6', false, false, false)),                  'letgo');
				osc_set_preference('slidercatname1',       trim(Params::getParam('slidercatname1', false, false, false)),                'letgo');
				osc_set_preference('slidercatname2',       trim(Params::getParam('slidercatname2', false, false, false)),                'letgo');
				osc_set_preference('slidercatname3',       trim(Params::getParam('slidercatname3', false, false, false)),                'letgo');
				osc_set_preference('slidercatname1m',       trim(Params::getParam('slidercatname1m', false, false, false)),                'letgo');
				osc_set_preference('slidercatname2m',       trim(Params::getParam('slidercatname2m', false, false, false)),                'letgo');
				osc_set_preference('slidercatname3m',       trim(Params::getParam('slidercatname3m', false, false, false)),                'letgo');

				osc_add_flash_ok_message(__('Templates settings updated correctly', 'letgo'), 'admin');
				osc_redirect_to(osc_admin_render_theme_url( 'oc-content/themes/letgo/admin/settings.php#templates' ));			break;
			case('templates_search'):
				osc_set_preference('premium_listings_shown', Params::getParam('premium_listings_shown'), 'letgo');
				osc_set_preference('show_popular', Params::getParam('show_popular'), 'letgo');
                osc_set_preference('show_popular_regions', Params::getParam('show_popular_regions'), 'letgo');
                osc_set_preference('show_popular_cities', Params::getParam('show_popular_cities'), 'letgo');
                osc_set_preference('show_popular_searches', Params::getParam('show_popular_searches'), 'letgo');
				osc_set_preference('popular_regions_limit', Params::getParam('popular_regions_limit'), 'letgo');
                osc_set_preference('popular_cities_limit', Params::getParam('popular_cities_limit'), 'letgo');
                osc_set_preference('popular_searches_limit', Params::getParam('popular_searches_limit'), 'letgo');
				osc_add_flash_ok_message(__('Templates settings updated correctly', 'letgo'), 'admin');
				osc_redirect_to(osc_admin_render_theme_url( 'oc-content/themes/letgo/admin/settings.php#templates' ));			break;
			case('templates_item_post'):
				$locations_input_as	=	Params::getParam('locations_input_as', 'letgo');
				$locations_required	=	Params::getParam('locations_required', 'letgo');
				$category_multiple_selects	=	Params::getParam('category_multiple_selects', 'letgo');
				osc_set_preference('title_minimum_length', Params::getParam('title_minimum_length', 'letgo'), 'letgo');
				osc_set_preference('description_minimum_length', Params::getParam('description_minimum_length', 'letgo'), 'letgo');
				osc_set_preference('locations_input_as', $locations_input_as, 'letgo');
				osc_set_preference('locations_required', ($locations_required ? '1' : '0'), 'letgo');
				osc_set_preference('category_multiple_selects', ($category_multiple_selects ? '1' : '0'), 'letgo');
				
				osc_add_flash_ok_message(__('Templates settings updated correctly', 'letgo'), 'admin');
				osc_redirect_to(osc_admin_render_theme_url( 'oc-content/themes/letgo/admin/settings.php#templates' ));
			break;
			case('ads_mgmt'):
                osc_set_preference('header-728x90',         trim(Params::getParam('header-728x90', false, false, false)),                  'letgo');
                osc_set_preference('homepage-728x90',       trim(Params::getParam('homepage-728x90', false, false, false)),                'letgo');
                osc_set_preference('sidebar-300x250',       trim(Params::getParam('sidebar-300x250', false, false, false)),                'letgo');
                osc_set_preference('search-results-top-728x90',     trim(Params::getParam('search-results-top-728x90', false, false, false)),          'letgo');
                osc_set_preference('search-results-middle-728x90',  trim(Params::getParam('search-results-middle-728x90', false, false, false)),       'letgo');

				osc_add_flash_ok_message(__('Ads management updated correctly', 'letgo'), 'admin');
				osc_redirect_to(osc_admin_render_theme_url( 'oc-content/themes/letgo/admin/settings.php#ads' ));
			break;
			case('categories_icons'):
				$catsIcons  = Params::getParam('cat-icons');
				foreach($catsIcons as $catId => $iconName)
				{
					osc_set_preference('cat-icons-'.$catId, $iconName, 'letgo_cat_icons');
				}
				osc_add_flash_ok_message(__('Category icons settings updated correctly', 'letgo'), 'admin');
				osc_redirect_to(osc_admin_render_theme_url( 'oc-content/themes/letgo/admin/settings.php#category-icons' ));
			break;
			case('theme_style'):	
				$color_mode  = Params::getParam('theme_color_mode');
				osc_set_preference('theme_color_mode', $color_mode, 'letgo');
				osc_set_preference('google_fonts', Params::getParam('google_fonts'), 'letgo');
				
				$rtl_view	=	Params::getParam('rtl_view', 'letgo');
				osc_set_preference('rtl_view', ($rtl_view ? '1' : '0'), 'letgo');
				osc_set_preference('custom_css', trim(Params::getParam('custom_css', false, false, false)), 'letgo');
				
				osc_add_flash_ok_message(__('Theme color settings updated correctly', 'letgo'), 'admin');
				osc_redirect_to(osc_admin_render_theme_url( 'oc-content/themes/letgo/admin/settings.php#theme-style' ));
				
			break;
			case('facebook'):	
                 
                osc_set_preference('facebook-url',         trim(Params::getParam('facebook-url', false, false, false)),                'letgo');
                osc_set_preference('facebook-width',       trim(Params::getParam('facebook-width', false, false, false)),                'letgo');
                osc_set_preference('facebook-height',         trim(Params::getParam('facebook-height', false, false, false)),                  'letgo');
                osc_set_preference('facebook-hidecover',       trim(Params::getParam('facebook-hidecover', false, false, false)),                'letgo');
                osc_set_preference('facebook-showface',       trim(Params::getParam('facebook-showface', false, false, false)),                'letgo');
                osc_set_preference('facebook-showpost',       trim(Params::getParam('facebook-showpost', false, false, false)),                'letgo');
                osc_set_preference('facebook-showitem',       trim(Params::getParam('facebook-showitem', false, false, false)),                'letgo');
                osc_set_preference('facebook-showsearch',       trim(Params::getParam('facebook-showsearch', false, false, false)),                'letgo');

				osc_add_flash_ok_message(__('Facebook Page settings updated correctly', 'letgo'), 'admin');
				osc_redirect_to(osc_admin_render_theme_url( 'oc-content/themes/letgo/admin/settings.php#facebook' ));
				
			break;
			case('upload_favicon'):
                $package = Params::getFiles('favicon');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package['tmp_name']);
                    $ext = $img->getExt();
                    $logo_name     = 'favicon';
                    $logo_name    .= '.'.$ext;
                    $path = osc_uploads_path() . $logo_name ;
                    $img->saveToFile($path);

                    osc_set_preference('favicon', $logo_name, 'letgo');

                    osc_add_flash_ok_message(__('The favicon image has been uploaded correctly', 'letgo'), 'admin');
                } else {
                    osc_add_flash_error_message(__("An error has occurred, please try again", 'letgo'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/letgo/admin/settings.php#favicon'));
            break;
            case('upload_logo'):
                $package = Params::getFiles('logo');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package['tmp_name']);
                    $ext = $img->getExt();
                    $logo_name     = 'logo';
                    $logo_name    .= '.'.$ext;
                    $path = osc_uploads_path() . $logo_name ;
                    $img->saveToFile($path);

                    osc_set_preference('logo', $logo_name, 'letgo');

                    osc_add_flash_ok_message(__('The logo image has been uploaded correctly', 'letgo'), 'admin');
                } else {
                    osc_add_flash_error_message(__("An error has occurred, please try again", 'letgo'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/letgo/admin/settings.php#logo'));
            break;
		
			case('remove_favicon'):
                $logo = osc_get_preference('favicon','letgo');
                $path = osc_uploads_path() . $logo ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('favicon','letgo');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The favicon image has been removed', 'letgo'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'letgo'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/letgo/admin/settings.php#favicon'));
            break;

			case('remove'):
                $logo = osc_get_preference('logo','letgo');
                $path = osc_uploads_path() . $logo ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('logo','letgo');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The logo image has been removed', 'letgo'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'letgo'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/letgo/admin/settings.php#logo'));
            break;
			
			case('upload_homeimage'):
                $package = Params::getFiles('homeimage');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package['tmp_name']);
                    $ext = $img->getExt();
                    $logo_name     = 'homeimage';
                    $logo_name    .= '.'.$ext;
                    $path = osc_uploads_path() . $logo_name ;
                    $img->saveToFile($path);

                    osc_set_preference('homeimage', $logo_name, 'letgo');

                    osc_add_flash_ok_message(__('The banner image has been uploaded correctly', 'letgo'), 'admin');
                } else {
                    osc_add_flash_error_message(__("An error has occurred, please try again", 'letgo'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/letgo/admin/settings.php#banner'));
            break;  
			case('remove_homeimage'):
                $logo = osc_get_preference('homeimage','letgo');
                $path = osc_uploads_path() . $logo ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('homeimage','letgo');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The banner image has been removed', 'letgo'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'letgo'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/letgo/admin/settings.php#banner'));
            break;
		
        }
    }

    function letgo_redirect_user_dashboard()
    {
        if( (Rewrite::newInstance()->get_location() === 'user') && (Rewrite::newInstance()->get_section() === 'dashboard') ) {
            header('Location: ' .osc_user_list_items_url());
            exit;
        }
    }

    function letgo_delete() {
        Preference::newInstance()->delete(array('s_section' => 'letgo'));
    }

    osc_add_hook('init', 'letgo_redirect_user_dashboard', 2);
    osc_add_hook('init_admin', 'theme_letgo_actions_admin');
    osc_add_hook('theme_delete_letgo', 'letgo_delete');
    osc_admin_menu_appearance(__('LetGo Options', 'letgo'), osc_admin_render_theme_url('oc-content/themes/letgo/admin/settings.php'), 'settings_letgo');

check_install_letgo();
if(osc_is_home_page()){
    osc_add_hook('inside-main','letgo_draw_categories_list');
} 

if(osc_is_home_page() || osc_is_search_page()){
    letgo_add_body_class('page');
}


function letgo_sidebar_category_search($catId = null)
{
    $aCategories = array();
    if($catId==null) {
        $aCategories[] = Category::newInstance()->findRootCategoriesEnabled();
    } else {
        // if parent category, only show parent categories
        $aCategories = Category::newInstance()->toRootTree($catId);
        end($aCategories);
        $cat = current($aCategories);
        // if is parent of some category
        $childCategories = Category::newInstance()->findSubcategoriesEnabled($cat['pk_i_id']);
        if(count($childCategories) > 0) {
            $aCategories[] = $childCategories;
        }
    }

    if(count($aCategories) == 0) {
        return "";
    }

    letgo_print_sidebar_category_search($aCategories, $catId);
}

function letgo_print_sidebar_category_search($aCategories, $current_category = null, $i = 0)
{
    $class = '';
    if(!isset($aCategories[$i])) {
        return null;
    }

    if($i===0) {
        $class = 'class="nav flex-column side-nav"';
    }

    $c   = $aCategories[$i];
    $i++;
    if(!isset($c['pk_i_id'])) {
        echo '<nav '.$class.'>';
        if($i==1) {
            echo '<a class="nav-link icon" href="'.osc_esc_html(osc_update_search_url(array('sCategory'=>null, 'iPage'=>null))).'"><i class="fa fa-folder category-icon"></i>'.__('All categories', 'letgo')."</a>";
        }
        foreach($c as $key => $value) {
    ?>
 <a class="nav-link <?php if(isset($current_category) && $current_category == $value['pk_i_id']){ echo 'active'; } ?> icon" id="cat_<?php echo osc_esc_html($value['pk_i_id']);?>" href="<?php echo osc_esc_html(osc_update_search_url(array('sCategory'=> $value['pk_i_id'], 'iPage'=>null))); ?>"><i class="fa fa-<?php echo osc_esc_html(letgo_category_icon( $value['pk_i_id'] )); ?> category-icon"></i>
  <?php if(isset($current_category) && $current_category == $value['pk_i_id']){ echo '<strong><i class="fa fa-'.osc_esc_html(letgo_category_icon( $value['pk_i_id'] )).' category-icon"></i>'.$value['s_name'].'</strong>'; }
                else{ echo $value['s_name']; } ?>
  </a>
<?php
        }
        if($i==1) {
        echo "</nav>";
        } else {
        echo "</nav>";
        }
    } else {
    ?>
<nav <?php echo $class;?>>
  <?php if($i==1) { ?>
  <a class="nav-link icon" id="" href="<?php echo osc_esc_html(osc_update_search_url(array('sCategory'=>null, 'iPage'=>null))); ?>">
   <i class="fa fa-folder category-icon"></i> <?php _e('All categories', 'letgo'); ?>
    </a>
  <?php } ?>
  <a class="nav-link <?php if(isset($current_category) && $current_category == $c['pk_i_id']){ echo 'active'; } ?> icon" id="cat_<?php echo osc_esc_html($c['pk_i_id']);?>" href="<?php echo osc_esc_html(osc_update_search_url(array('sCategory'=> $c['pk_i_id'], 'iPage'=>null))); ?>">
    <?php if(isset($current_category) && $current_category == $c['pk_i_id']){ echo '<strong><i class="fa fa-'.osc_esc_html(letgo_category_icon( $c['pk_i_id'] )).' category-icon"></i>'.$c['s_name'].'</strong>'; }
                      else{ echo $c['s_name']; } ?>
    </a>
    <?php letgo_print_sidebar_category_search($aCategories, $current_category, $i); ?>
  
  <?php if($i==1) { ?>
  <?php } ?>
</nav>
<?php
    }
}

function letgo_item_post_form_validate(){
?>
<script type="text/javascript">
	$(document).ready(function(){
		$('#regionId, #cityId').removeAttr('disabled');
	});

	//form validate
	$('form[name=item]').validate({
		rules: {
			catId: {
				required: true,
				digits: true
			},
			'title[<?php echo osc_current_user_locale();?>]': {
				required:true,
				minlength:<?php echo letgo_title_minimum_length();?>
			},
			'description[<?php echo osc_current_user_locale();?>]': {
				minlength:<?php echo letgo_description_minimum_length();?>
			},
			price: {
				maxlength: 50
			},
			currency: "required",
			"photos[]": {
				accept: "png,gif,jpg,jpeg"
			},
			contactName: {
				required: true,
				minlength: 3,
				maxlength: 35
			},
			contactEmail: {
				required: true,
				email: true
			},
			countryId:{
				required: <?php echo letgo_locations_required(); ?>
			},
			region: {
				required: <?php echo letgo_locations_required(); ?>,
				minlength: 3,
				maxlength: 100
			},
			city: {
				required: <?php echo letgo_locations_required(); ?>,
				minlength: 3,
				maxlength: 100
			}
			<?php if(letgo_locations_input_as()=='select'){ ?>
			,
			regionId: {
				required: <?php echo letgo_locations_required(); ?>
			},
			cityId: {
				required: <?php echo letgo_locations_required(); ?>
			}
			<?php } ?>
			
		},
		messages: {
			catId: {
			required: '<?php echo osc_esc_js(__("Choose one category", 'letgo')); ?>.'
			},
			'title[<?php echo osc_current_user_locale();?>]': {
				required: '<?php echo osc_esc_js(__("Title: this field is required", 'letgo')); ?>.',
				minlength: '<?php echo osc_esc_js(__("Title too short", 'letgo')); ?>.'
			},
			'description[<?php echo osc_current_user_locale();?>]': {
				minlength: '<?php echo osc_esc_js(__("Description too short", 'letgo')); ?>.'
			},
			price: {
				maxlength: '<?php echo osc_esc_js(__("Price: no more than 50 characters", 'letgo')); ?>.'
			},
			currency: '<?php echo osc_esc_js(__("Currency: make your selection", 'letgo')); ?>.',
			"photos[]": {
				accept: '<?php echo osc_esc_js(__("Photo: must be png,gif,jpg,jpeg", 'letgo')); ?>.'
			},
			contactName: {
				required: '<?php echo osc_esc_js(__("Name: this field is required", 'letgo')); ?>.',
				minlength: '<?php echo osc_esc_js(__("Name: enter at least 3 characters", 'letgo')); ?>.',
				maxlength: '<?php echo osc_esc_js(__("Name: no more than 35 characters", 'letgo')); ?>.'
			},
			contactEmail: {
				required: '<?php echo osc_esc_js(__("Email: this field is required", 'letgo')); ?>.',
				email: '<?php echo osc_esc_js(__("Invalid email address", 'letgo')); ?>.'
			},
			countryId: {
				required: '<?php echo osc_esc_js(__("Please select a country", 'letgo')); ?>.'
			},
			region: {
				required: '<?php echo osc_esc_js(__("Region: this field is required", 'letgo')); ?>.',
				minlength: '<?php echo osc_esc_js(__("Region: enter at least 3 characters", 'letgo')); ?>.',
				maxlength: '<?php echo osc_esc_js(__("Region: no more than 100 characters", 'letgo')); ?>.'
			},
			city: {
				required: '<?php echo osc_esc_js(__("City: this field is required", 'letgo')); ?>.',
				minlength: '<?php echo osc_esc_js(__("City: enter at least 3 characters", 'letgo')); ?>.',
				maxlength: '<?php echo osc_esc_js(__("City: no more than 100 characters", 'letgo')); ?>.'
			}
			<?php if(letgo_locations_input_as()=='select'){ ?>
			,
			regionId: {
				required: '<?php echo osc_esc_js(__("Region: this field is required", 'letgo')); ?>.'
			},
			cityId: {
				required: '<?php echo osc_esc_js(__("City: this field is required", 'letgo')); ?>.'
			}
			<?php } ?>
		},
		errorLabelContainer: "#error_list",
		wrapper: "li",
		invalidHandler: function(form, validator) {
			$('html,body').animate({ scrollTop: $('h1').offset().top }, { duration: 250, easing: 'swing'});
		},
		submitHandler: function(form){
			$('button[type=submit], input[type=submit]').attr('disabled', 'disabled');
			setTimeout("$('button[type=submit], input[type=submit]').removeAttr('disabled')", 5000);
			form.submit();
		}
	});
</script>
<?php
}

if(osc_is_publish_page() || osc_is_edit_page()){
	osc_add_hook('footer', 'letgo_item_post_form_validate');
}

class letgoBodyClass
{
    /**
    * Custom Class for add, remove or get body classes.
    *
    * @param string $instance used for singleton.
    * @param array $class.
    */
    private static $instance;
    private $class;

    private function __construct()
    {
        $this->class = array();
    }

    public static function newInstance()
    {
        if (  !self::$instance instanceof self)
        {
            self::$instance = new self;
        }
        return self::$instance;
    }

    public function add($class)
    {
        $this->class[] = $class;
    }
    public function get()
    {
        return $this->class;
    }
}

if( !function_exists('osc_uploads_url') ){
    function osc_uploads_url($item = ''){
        return osc_base_url().'oc-content/uploads/'.$item;
    }
}

function letgo_welcome_message(){
	if( osc_get_preference('welcome_message', 'letgo') ) {
		return osc_get_preference('welcome_message', 'letgo');
    }else{
		return false;
	}
}
function letgo_premium_listings_shown_home(){
	return osc_get_preference('premium_listings_shown_home', 'letgo');
}

function letgo_title_minimum_length(){
	return osc_get_preference('title_minimum_length', 'letgo');
}
function letgo_description_minimum_length(){
	return osc_get_preference('description_minimum_length', 'letgo');
}
function letgo_premium_listings_shown(){
	return osc_get_preference('premium_listings_shown', 'letgo');
}
function letgo_locations_input_as(){
	return osc_get_preference('locations_input_as', 'letgo');
}
function letgo_locations_required(){
	return (osc_get_preference('locations_required', 'letgo') == '1')? 'true': 'false';
}
function letgo_categories_select($name, $id, $label){
    $name = osc_esc_html($name);
    $id = osc_esc_html($id);
    $label = osc_esc_html($label);
    
    $categories = Category::newInstance()->toTreeAll();

	if(count($categories) > 0 ) {
			
		$html  = '<select name="'.$name.'" id="'.$id.'">';
		$html .= '<option value="">'.$label.'</option>';
		foreach($categories as $topcat) { 
			$html .= '<option class="top" value="'. $topcat['s_name'].'">'. $topcat['s_name'].'</option>';
			if(!empty($topcat['categories'])) {
				
				foreach($topcat['categories'] as $subcat) {
					$html .= '<option value="'. $subcat['s_name'].'">&nbsp;&nbsp;'. $subcat['s_name'].'</option>';
				}
			
			}
		} 
		$html .= '</select>';
	} 

	echo $html;
}
function letgo_countries_select($name, $id, $label, $value=NULL){
    $name = osc_esc_html($name);
    $id = osc_esc_html($id);
    $label = osc_esc_html($label);
    
	$aCountries = Country::newInstance()->listAll(); 
	if(count($aCountries) > 0 ) { 
		$html  = '<select name="'.$name.'" id="'.$id.'">';
		$html .= '<option value="">'.$label.'</option>';
		foreach($aCountries as $country) {
			if($value == $country['pk_c_code']) $selected = 'selected="selected"'; else $selected = '';
			$html .= '<option value="'. $country['pk_c_code'].'" '.$selected.'>'. $country['s_name'].'</option>';
		} 
		$html .= '</select>';
	} 

	echo $html;
}
function letgo_regions_select($name, $id, $label, $value=NULL){
    $name = osc_esc_html($name);
    $id = osc_esc_html($id);
    $label = osc_esc_html($label);
    
	$aRegions = Region::newInstance()->listAll(); 
	if(count($aRegions) > 0 ) { 

		$html  = '<select name="'.$name.'" id="'.$id.'">';
		$html .= '<option value="" id="sRegionSelect">'.$label.'</option>';
		foreach($aRegions as $region) {
			if($value == $region['s_name']) $selected = 'selected="selected"'; else $selected = '';
			$html .= '<option value="'. $region['pk_i_id'].'" '.$selected.'>'. $region['s_name'].'</option>';
		} 
		$html .= '</select>';
	} 

	echo $html;
}
function letgo_cities_select($name, $id, $label, $value=NULL){
    $name = osc_esc_html($name);
    $id = osc_esc_html($id);
    $label = osc_esc_html($label);
    
	$html  = '<select name="'.$name.'" id="'.$id.'">';
	$html .= '<option value="" id="sCitySelect">'.$label.'</option>';
	if(osc_count_list_cities() > 0 ) {
		while(osc_has_list_cities() ) { 
			if($value == osc_list_city_name()) $selected = 'selected="selected"'; else $selected = '';
			$html .= '<option value="'. osc_list_city_name().'" '.$selected.'>'. osc_list_city_name().'</option>';
		}
	}
	$html .= '</select>';

	echo $html;
}
function letgo_popular_regions($limit = 20){
	View::newInstance()->_exportVariableToView('list_regions', Search::newInstance()->listRegions('%%%%', '>') ) ;
	if(osc_count_list_regions() > 0 ) { 
		$array	=	array();
		while(osc_has_list_regions() ) {
			if( osc_list_region_items() > 0){
				$region_name			=	osc_list_region_name();
				$array[ $region_name ]	=	osc_list_region_items();
			}
		}
		arsort($array);
		return	array_slice($array, 0, $limit);
	}else{
		return false;
	}
}
function letgo_popular_cities($limit = 20){
	View::newInstance()->_exportVariableToView('list_cities', Search::newInstance()->listCities('%%%%', '>') ) ;
	if(osc_count_list_cities() > 0 ) { 
		$array	=	array();
		while(osc_has_list_cities() ) {
			if( osc_list_city_items() > 0){	
				$city_name	=	osc_list_city_name();
				$array[ $city_name ]	=	osc_list_city_items();
			}
		}
		arsort($array);
		return	array_slice($array, 0, $limit);
	}else{
		return false;
	}
}

function letgo_category_icon($catId){
	$icon = osc_esc_html( strtolower(osc_get_preference('cat-icons-'.$catId, 'letgo_cat_icons') ) );
	if($icon!="")
	return strtolower($icon);
	else
	return "shopping-cart";
}
function letgo_color_mode(){
	return osc_get_preference('theme_color_mode', 'letgo');
}
function letgo_google_fonts(){
	return trim(osc_get_preference('google_fonts', 'letgo'));
}
function letgo_show_popular_regions(){
	if(osc_get_preference('show_popular_regions', 'letgo') == 1){
		return true;
	}
	else{
		return false;
	}
}
function letgo_popular_regions_limit(){
	return osc_get_preference('popular_regions_limit', 'letgo');
}
function letgo_show_popular_cities(){
	if(osc_get_preference('show_popular_cities', 'letgo') == 1){
		return true;
	}
	else{
		return false;
	}
}
function letgo_popular_cities_limit(){
	return osc_get_preference('popular_cities_limit', 'letgo');
}
function letgo_show_popular_searches(){
	if(osc_get_preference('show_popular_searches', 'letgo') == 1){
		return true;
	}
	else{
		return false;
	}
}
function letgo_popular_searches_limit(){
	return osc_get_preference('popular_searches_limit', 'letgo');
}

function letgo_facebook_like_box(){
?>
<div class="fb-page" data-href="<?php echo osc_esc_html( osc_get_preference('facebook-url', 'letgo') ); ?>" data-width="<?php echo osc_esc_html( osc_get_preference('facebook-width', 'letgo') ); ?>" data-height="<?php echo osc_esc_html( osc_get_preference('facebook-height', 'letgo') ); ?>" data-hide-cover="<?php echo (osc_esc_html( osc_get_preference('facebook-hidecover', 'letgo')) == "1" ) ? "true":"false"; ?>" data-show-facepile="<?php echo (osc_esc_html( osc_get_preference('facebook-showface', 'letgo')) == "1" ) ? "true":"false"; ?>" data-show-posts="<?php echo (osc_esc_html( osc_get_preference('facebook-showpost', 'letgo')) == "1" ) ? "true":"false"; ?>"></div>
<?php
}
function letgo_footer_css(){
	letgo_add_google_fonts();
	$custom_css = trim(osc_get_preference('custom_css', 'letgo'));
	if( $custom_css != "" ){
		echo "<style>";
		echo $custom_css;
		echo "</style>";
	}
}
osc_add_hook('footer', 'letgo_footer_css');
function letgo_footer_js(){
	echo '<script type="text/javascript" src="'.osc_current_web_theme_js_url('main.js').'"></script>';
}
osc_add_hook('footer', 'letgo_footer_js');



/* categories customized */
	if( !function_exists('get_categoriesHierarchy') ) {
        function get_categoriesHierarchy( ) {
            $location = Rewrite::newInstance()->get_location() ;
            $section  = Rewrite::newInstance()->get_section() ;
            
            if ( $location != 'search' ) {
                return false ;
            }
            
            $category_id = osc_search_category_id() ;
            
            if(count($category_id) == 0) {
                return false;
            }
            
            $category_id = (int) $category_id[0] ;
            
            $categoriesHierarchy = Category::newInstance()->hierarchy($category_id) ;
            
            foreach($categoriesHierarchy as &$category) {
                $category['url'] = get_category_url($category) ;
            }
            
            return $categoriesHierarchy ;
         }
     }
     
     if( !function_exists('get_subcategories') ) {
         function get_subcategories( ) {
             $location = Rewrite::newInstance()->get_location() ;
             $section  = Rewrite::newInstance()->get_section() ;
            
             if ( $location != 'search' ) {
                 return false ;
             }
            
             $category_id = osc_search_category_id() ;
            
             if(count($category_id) > 1) {
                 return false ;
             }
            
             $category_id = (int) $category_id[0] ;
            
             $subCategories = Category::newInstance()->findSubcategories($category_id) ;
            
             foreach($subCategories as &$category) {
                 $category['url'] = get_category_url($category) ;
             }
            
             return $subCategories ;
         }
     }

     if ( !function_exists('get_category_url') ) {
         function get_category_url( $category ) {
             $path = '';
             if ( osc_rewrite_enabled() ) {
                if ($category != '') {
                    $category = Category::newInstance()->hierarchy($category['pk_i_id']) ;
                    $sanitized_category = "" ;
                    for ($i = count($category); $i > 0; $i--) {
                        $sanitized_category .= $category[$i - 1]['s_slug'] . '/' ;
                    }
                    $path = osc_base_url() . $sanitized_category ;
                }
            } else {
                $path = sprintf( osc_base_url(true) . '?page=search&sCategory=%d', $category['pk_i_id'] ) ;
            }
            
            return $path;
         }
     }
     
     if ( !function_exists('get_category_num_items') ) {
         function get_category_num_items( $category ) {
            $category_stats = CategoryStats::newInstance()->countItemsFromCategory($category['pk_i_id']) ;
            
            if( empty($category_stats) ) {
                return 0 ;
            }
            
            return $category_stats;
         }
     }
	/* end categories customized */
	
?>